%define siteperldir /usr/lib/perl5/site_perl/5.005/i386-linux
%define name mrtg
%define version 2.8.9
%define release 3mdk


Summary:   Multi Router Traffic Grapher
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://www.mrtg.org/
Source0:   %{name}-%{version}.tar.bz2
Source1:   mrtg.cfg
Patch0:    mrtg-contrib-paths.patch.bz2
#Patch1:    gif89a-to-gif87.patch.bz2
Copyright: distributable
Group:     Networking/Other
Requires:  perl >= 5.003
Requires:  gd-devel >= 1.3
Packager:  Oden Eriksson <oden@kvikkjokk.com>
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{name}-buildroot

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF
images which provide a LIVE visual representation of this traffic.

This patched version comes without the GIF89a (Interlace) feature, meaning
smaller (size) and faster (loading) gif's... (a trivial patch really)
Have fun

%prep
%setup -q %{fullname}
%patch0 -p1
#%patch1 -p1

echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf     $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/httpd/html/mrtg
install -d $RPM_BUILD_ROOT%{prefix}/bin
install -d $RPM_BUILD_ROOT%{prefix}/lib
install -d $RPM_BUILD_ROOT%{prefix}/lib/mrtg
install -d $RPM_BUILD_ROOT%{siteperldir}
install -m 644 doc/*.gif $RPM_BUILD_ROOT/home/httpd/html/mrtg/
install -m 644 doc/*.html $RPM_BUILD_ROOT/home/httpd/html/mrtg/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/home/httpd/html/mrtg/

cd run

for i in mrtg rateup cfgmaker* indexmaker; do
  install -m 755 -c $i $RPM_BUILD_ROOT%{prefix}/bin/$i
done

for i in BER.pm SNMP_Session.pm SNMP_util.pm locales_mrtg.pm; do
  install -m 755 -c $i $RPM_BUILD_ROOT%{siteperldir}/
done

cd ..

find contrib | cpio -dpm $RPM_BUILD_ROOT%{prefix}/lib/mrtg

%post
 if ! grep '* * * * root %{prefix}/bin/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root %{prefix}/bin/mrtg /home/httpd/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

%postun
if [ "$1" = "0" ]; then
        grep -v '* * * * root %{prefix}/bin/mrtg' /etc/crontab > /etc/crontab.new
        mv /etc/crontab.new /etc/crontab
fi

%files
%defattr(-,root,root)
%doc doc/
%doc ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README 
%dir /home/httpd/html/mrtg
/home/httpd/html/mrtg/*.gif
/home/httpd/html/mrtg/*.html
%config /home/httpd/html/mrtg/mrtg.cfg
%{siteperldir}/BER.pm
%{siteperldir}/SNMP_Session.pm
%{siteperldir}/SNMP_util.pm
%{siteperldir}/locales_mrtg.pm
%{prefix}/bin/cfgmaker*
%{prefix}/bin/indexmaker
%{prefix}/bin/mrtg
%{prefix}/bin/rateup
%{prefix}/lib/mrtg

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8.9-3mdk
- fix group
- clean spec

* Tue Dec 21 1999 Philippe Libat <philippe@mandrakesoft.com>
- [2.8.9]
  Install locales_mrtg.pm in %{siteperldir}

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reprefixing to /usr (RTFHS).

* Wed Jul 14 1999 Oden Eriksson <oden@kvikkjokk.com>
  [2.7.5]
  Moved over to /usr/local/
  Removed the stupid GIF89a feature.
  
* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]
  
* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
